### Method

# GObject Object remove_weak_pointer

#### Declaration

    void
    g_object_remove_weak_pointer (
      GObject* object,
      gpointer* weak_pointer_location
    )

#### Description

Removes a weak reference from `object` that was previously added using g_object_add_weak_pointer(). The `weak_pointer_location` has to match the one used with g_object_add_weak_pointer().

This method is not directly available to language bindings.

#### Parameters

`weak_pointer_location`

  Type: `gpointer*`

  The memory address of a pointer.

  The argument will be modified by the function.